k = int(input())

number = str(k)
result = ""

for i in range(len(number)-1, -1, -1):
    if number[i] == '0':
        result += '0'
    elif number[i] == '1':
        result += '1'
    elif number[i] == '2':
        result += '2'
    elif number[i] == '3':
        result += '3'
    elif number[i] == '4':
        result += '4'
    elif number[i] == '5':
        result += '5'
    elif number[i] == '6':
        result += '6'
    elif number[i] == '7':
        result += '7'
    elif number[i] == '8':
        result += '8'
    elif number[i] == '9':
        result += '9'

print(result)
